org.codehaus.plexus.maven.plugin

## Class PlexusComponentsReport

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.reporting.AbstractMavenReport
    - - org.codehaus.plexus.maven.plugin.PlexusComponentsReport

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.apache.maven.reporting.MavenMultiPageReport, org.apache.maven.reporting.MavenReport

    public class PlexusComponentsReport
    extends org.apache.maven.reporting.AbstractMavenReport

Version:
  $Id: PlexusComponentsReport.java 6925 2007-10-01 04:35:26Z user57 $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.reporting.MavenReport

`CATEGORY_PROJECT_INFORMATION, CATEGORY_PROJECT_REPORTS, ROLE`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusComponentsReport()`

### Method Summary

Methods
`boolean` `canGenerateReport()`
`protected void` `executeReport(Locale locale)`
`String` `getCategoryName()`
`String` `getDescription(Locale locale)`
`String` `getName(Locale locale)`
`protected String` `getOutputDirectory()`
`String` `getOutputName()`
`protected org.apache.maven.project.MavenProject` `getProject()`
`protected org.apache.maven.doxia.siterenderer.Renderer` `getSiteRenderer()`

### Methods inherited from class org.apache.maven.reporting.AbstractMavenReport

`closeReport, execute, generate, generate, generate, getReportOutputDirectory, getSink, getSinkFactory, isExternalReport, setReportOutputDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusComponentsReport

    public PlexusComponentsReport()

### Method Detail

#### getOutputName

    public String getOutputName()

#### getName

    public String getName(Locale locale)

#### getCategoryName

    public String getCategoryName()

Specified by:
  `getCategoryName` in interface `org.apache.maven.reporting.MavenReport`
Overrides:
  `getCategoryName` in class `org.apache.maven.reporting.AbstractMavenReport`

#### getDescription

    public String getDescription(Locale locale)

#### getProject

    protected org.apache.maven.project.MavenProject getProject()

Specified by:
  `getProject` in class `org.apache.maven.reporting.AbstractMavenReport`

#### getSiteRenderer

    protected org.apache.maven.doxia.siterenderer.Renderer getSiteRenderer()

Specified by:
  `getSiteRenderer` in class `org.apache.maven.reporting.AbstractMavenReport`

#### getOutputDirectory

    protected String getOutputDirectory()

Specified by:
  `getOutputDirectory` in class `org.apache.maven.reporting.AbstractMavenReport`

#### canGenerateReport

    public boolean canGenerateReport()

Specified by:
  `canGenerateReport` in interface `org.apache.maven.reporting.MavenReport`
Overrides:
  `canGenerateReport` in class `org.apache.maven.reporting.AbstractMavenReport`

#### executeReport

    protected void executeReport(Locale locale)
                          throws org.apache.maven.reporting.MavenReportException

Specified by:
  `executeReport` in class `org.apache.maven.reporting.AbstractMavenReport`
Throws:
  `org.apache.maven.reporting.MavenReportException`